- Qt 6.7
- User Interface Compiler (uic)
- Qt 6.7.1 Reference Documentation

# User Interface Compiler (uic)

This page documents the User Interface Compiler for the Qt Widgets module. The `uic` reads an XML format user interface definition (`.ui`) file as generated by Qt Designer and creates a corresponding C++ header file or Python source file.

Usage:

     uic [options] <uifile>

## Options

The following table lists the command-line options recognized by `uic`.

Option | Description
--- | ---
`-h, --help` | Displays help on commandline options.
`-help-all` | Displays help including Qt specific options.
`-v, --version` | Displays version information.
`-d, --dependencies` | Display the dependencies.
`-o, --output <file>` | Place the output into <file>
`-a, --no-autoconnection` | Do not generate a call to QObject::connectSlotsByName().
`-p, --no-protection` | Disable header protection.
`-n, --no-implicit-includes` | Disable generation of #include-directives.
`--postfix <postfix>` | Postfix to add to all generated classnames.
`--tr, --translate <function>` | Use <function> for i18n.
`--include <include-file>` | Add #include <include-file> to <file>.
`-g, --generator <python|cpp>` | Select generator.
`-c, --connections <pmf|string>` | Connection syntax.
`--idbased` | Use id based function for i18n
`--from-imports` | Python: generate imports relative to '.'
`--absolute-imports` | Python: generate absolute imports
`--rc-prefix` | Python: Generate "rc_file" instead of "file_rc" import
`--star-imports` | Python: Use * imports
`--python-paths <pathlist>` | Python paths for –absolute-imports.

## Usage

See Using a Designer UI File in Your C++ Application or Using a Designer UI File in Your Qt for Python Application.